%bcond_with tests

Summary:        Tool for checking common errors in RPM packages
Name:           rpmlint
Version:        2.4.0
Release:        6%{?dist}
License:        GPL-2.0-or-later
URL:            https://github.com/rpm-software-management/rpmlint
Source0:        %{url}/archive/%{version}/rpmlint-%{version}.tar.gz

# https://github.com/rpm-software-management/rpmlint/commit/393cde4e.patch
Patch0000:      0001-fix-broken-regex-for-no-manual-page-for-binary-check.patch

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
# For tests
%if %{with tests}
BuildRequires:  dash devscripts-checkbashisms
BuildRequires:  hunspell-cs hunspell-en-US
BuildRequires:  python3dist(pytest) python3dist(pytest-xdist)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
%endif
Requires:       rpm-build
Requires:       /usr/bin/appstream-util /usr/bin/desktop-file-validate
# Requires:       dash devscripts-checkbashisms

%description
rpmlint is a tool for checking common errors in RPM packages. Binary
and source packages as well as spec files can be checked.


%prep
%autosetup -p1

sed -i 's/python-magic/file-magic/g' setup.py
sed -i -e 's/ --cov=rpmlint//' -e 's/ --flake8//' setup.cfg
sed -i '/^@pytest.mark.no_cover/d' test/test_lint.py

%generate_buildrequires 
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/rpmlint/
install -m 644 configs/Fedora/* %{buildroot}%{_sysconfdir}/xdg/rpmlint/


%check
%if %{with tests}
%pytest
%endif


%files -f %{pyproject_files}
%license COPYING
%doc README.md
%dir %{_sysconfdir}/xdg/rpmlint
%config(noreplace) %{_sysconfdir}/xdg/rpmlint/*.toml
%{_bindir}/rpmdiff
%{_bindir}/rpmlint


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 04 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.4.0-4
- Rebuilt for file 5.45

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 rockerzhu <rockerzhu@tencent.com> - 2.4.0-1
- Initial build
